Bug 422591 - assistive technologies not being started during login
assistive technologies not being started during login
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Desktop, EasyFix, Regression
Depends On:
  Show dependency treegraph
Reported: 2007-12-12 17:25 EST by George Kraft
Modified: 2009-01-09 02:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:55:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Kraft 2007-12-12 17:25:33 EST
Description of problem:

Assistive technologies (eg., orca, gok, magnifier) not being started during login.

Version-Release number of selected component (if applicable):

How reproducible:

Consistently fails.

Steps to Reproduce:
1. Run gnome-at-properties, check enable assistive technologies, then press the
preferred applications button
2. in preferred applications, press accessibility tab, in mobility select
custom, enter xlogo for command, then check startup, then close dialog
3. Back on gnome-at-properties dialog, press close and logout
4. Login, and wait for xlogo to start during login
Actual results:

no assistive technology (xlogo) is started.

Expected results:

AT should start per the following design

Additional info:

The file /usr/share/gnome/autostart/gnome-at-session.desktop is missing per
Comment 1 George Kraft 2007-12-13 09:28:57 EST
FYI, Ubuntu and Solaris with GNOME 2.20 have a working gnome-at-session.desktop
Comment 2 Bastien Nocera 2008-03-31 11:51:25 EDT
Could you please test the packages linked from:

If the new packages work, I'll file for an update for F8. The problem is already
fixes in rawhide for Fedora 9.
Comment 3 George Kraft 2008-03-31 12:28:59 EDT
I don't see an RPM to download at the URL referenced in comment #2.  Also, when
I click on the login link at Koji then I get an error -12227.
Comment 5 George Kraft 2008-04-01 10:16:03 EDT
I no longer have an Fedora 8 system to test on; however, I did download the RPM
and looked in it to find the previously missing
/usr/share/gnome/autostart/gnome-at-session.desktop is now there.  Thanks.
Comment 6 Fedora Update System 2008-04-01 10:24:04 EDT
control-center-2.20.3-3.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-04-09 01:15:47 EDT
control-center-2.20.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update control-center'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2937
Comment 8 Bug Zapper 2008-11-26 03:58:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-01-09 02:55:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.